package hmggirlfront.entity.mob.paradeus;

import gvclib.entity.trader.EntityNPCBase;
import hmggirlfront.mod_GirlFront;
import net.minecraft.entity.SharedMonsterAttributes;
import net.minecraft.entity.ai.EntityAILookIdle;
import net.minecraft.entity.ai.EntityAISwimming;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemBlock;
import net.minecraft.util.EnumHand;
import net.minecraft.util.text.TextComponentTranslation;
import net.minecraft.world.World;

public class EntityPDS_NYTO_EOT1 extends EntityNPCBase {

	public EntityPDS_NYTO_EOT1(World worldIn) {
		super(worldIn);
		this.setSize(0.5F, 1.8F);
		this.biped = true;
		{
		}
	}

	protected void initEntityAI() {
		this.tasks.addTask(1, new EntityAISwimming(this));
		this.tasks.addTask(2, new EntityAILookIdle(this));
	}

	protected void applyEntityAttributes() {
		super.applyEntityAttributes();
		this.getEntityAttribute(SharedMonsterAttributes.MAX_HEALTH).setBaseValue(20D);
	}

	public double getYOffset()
    {
        return 0.1D;
    }
	
	@Override
	public boolean processInteract(EntityPlayer player, EnumHand hand)
    {
		if(player != null) {

		}
		super.processInteract(player, hand);
		return true;
    }
	
	public void onLivingUpdate() {
		super.onLivingUpdate();
		
	}
	
	
}